/**
 * Copyright (C) 2003-2004
 * - France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors: Olivier Lobry (olivier.lobry@rd.francetelecom.com)
 *
 */

package org.objectweb.perseus;

import org.objectweb.perseus.persistence.api.WorkingSetManager;
import org.objectweb.perseus.persistence.api.WorkingSet;
import org.objectweb.perseus.persistence.api.PersistenceException;
import org.objectweb.perseus.persistence.lib.BasicWorkingSet;

import java.util.HashSet;

public class WorkingSetManagerTestImpl implements WorkingSetManager {

	HashSet workingSets;

	WorkingSetManagerTestImpl() {
		workingSets = new HashSet();
	}

	public WorkingSet createWS(Object userObject)
			throws PersistenceException {
		return createWS(userObject, null);
	}

	public WorkingSet createWS(Object userObject,
							   Object workingSetType)
			throws PersistenceException {
		WorkingSetTestImpl ws;
		try {
			ws = new WorkingSetTestImpl((String) userObject);
			ws.bindFc("logger", LogBoot.getLoggerFactory().getLogger("ws"));
		} catch (Exception _) {
			throw new PersistenceException("Cannot bin logget factory to working set");
		}
		workingSets.add(ws);
		return ws;
	}

	public void closeWS(WorkingSet ws) {
		workingSets.remove(ws);
	}

}
